 
using System;
using Gtk;
using Glade;

/// <summary>
/// In this file we define classes for use alerts dialogs.
/// <summary>
namespace pfc {

	/// <summary>
	/// This class is used to show an alert window indicate to user to select other directory.
	/// </summary>	
	public class PleaseSelectAlertDialog {
	
		[Widget] Dialog pleaseSelectAlertDialog;
		
		public PleaseSelectAlertDialog() {
		
			Glade.XML gxml = Glade.XML.FromAssembly ("gui.glade","pleaseSelectAlertDialog",null);
       		gxml.Autoconnect (this);     		
       		
       	}
       	
       	public void Show() {
       	
       		pleaseSelectAlertDialog.Show();
       		
       	}
       	
       	public void On_pleaseSelectAlertDialog_CloseButton_Clicked(object o, EventArgs args) {
       	
       		pleaseSelectAlertDialog.Hide();
       		pleaseSelectAlertDialog.Dispose();
       		
       	}
       	
	} // Closing pleaseSelectAlertDialog	
	
	/// <summary>
	/// This class is used to show an alert window indicate to user to select other name.
	/// </summary>		
	public class PleaseSelectOtherNameAlertDialog {
	
		[Widget] Dialog pleaseSelectOtherNameAlertDialog;
		
		public PleaseSelectOtherNameAlertDialog() {
		
			Glade.XML gxml = Glade.XML.FromAssembly ("gui.glade","pleaseSelectOtherNameAlertDialog",null);
       		gxml.Autoconnect (this);     		
       		
       	}
       	
       	public void Show() {
       	
       		pleaseSelectOtherNameAlertDialog.Show();
       		
       	}
       	
       	public void On_pleaseSelectOtherNameAlertDialog_CloseButton_Clicked(object o, EventArgs args) {
       	
       		pleaseSelectOtherNameAlertDialog.Hide();
       		pleaseSelectOtherNameAlertDialog.Dispose();
       		
       	}
       	
	} // Closing pleaseSelectAlertDialog	
	
	/// <summary>
	/// This class is used to show an alert window indicate to user to select a property to delete it.
	/// </summary>		
	public class DeletePropertyOkDialog {
	
		[Widget] Dialog deletePropertyOkDialog;
				
		public DeletePropertyOkDialog() {
		
			Glade.XML gxml = Glade.XML.FromAssembly ("gui.glade","deletePropertyOkDialog",null);
       		gxml.Autoconnect (this);     		
       		
       	}
       	
       	public void Show() {
       	
       		deletePropertyOkDialog.Show();
       		
       	}
       	
       	public void On_deletePropertyOkDialog_CloseButton_Clicked(object o, EventArgs args) {
       	
       		deletePropertyOkDialog.Hide();
       		deletePropertyOkDialog.Dispose();
       		
       	}
       	
	} // Closing pleaseSelectAlertDialog				

	/// <summary>
	/// This class is used to show an alert window indicate to user to check in all entrys to import.
	/// </summary>	
	public class ImportAlertDialog {
	
		[Widget] Dialog importAlertDialog;
		
		public ImportAlertDialog() {
		
			Glade.XML gxml = Glade.XML.FromAssembly ("gui.glade","importAlertDialog",null);
       		gxml.Autoconnect (this);     		
       		
       	}
       	
       	public void Show() {
       	
       		importAlertDialog.Show();
       		
       	}
       	
       	public void On_importAlertDialog_CloseButton_Clicked(object o, EventArgs args) {
       	
       		importAlertDialog.Hide();
       		importAlertDialog.Dispose();
       		
       	}
       	
       	public void OnCloseWindowClicked(object o, EventArgs args) {
       	
       		importAlertDialog.Hide();
       		importAlertDialog.Dispose();
       		
       	}
       	
	} // Closing importOutAlertDialog	
	
	/// <summary>
	/// This class is used to show an alert window indicate to user to fill all entrys on checkout dialog to checkout.
	/// </summary>		
	public class checkOutAlertDialog {
	
		[Widget] Dialog checkoutAlertDialog;
		
		public checkOutAlertDialog() {
		
			Glade.XML gxml = Glade.XML.FromAssembly ("gui.glade","checkoutAlertDialog",null);
       		gxml.Autoconnect (this);       		
       		
       	}
       	
       	public void Show() {
       	
       		checkoutAlertDialog.Show();
       		
       	}
       	
       	public void On_CheckoutAlertDialog_CloseButton_Clicked(object o, EventArgs args) {
       	
       		checkoutAlertDialog.Hide();
       		checkoutAlertDialog.Dispose();
       		
       	}
       	
       	public void OnCloseWindowClicked(object o, EventArgs args) {
       	
       		checkoutAlertDialog.Hide();
       		checkoutAlertDialog.Dispose();
       		
       	}
       	
	} // Closing checkOutAlertDialog
	
	/// <summary>
	/// This class is used to show an alert window indicate to user to select other directory because selected
	/// is not a working directory.
	/// </summary>		
	public class WorkingCopyErrorDialog {
	
		[Widget] Dialog errorWorkingCopy;
		
		public WorkingCopyErrorDialog() {
		
			Glade.XML gxml = Glade.XML.FromAssembly ("gui.glade","errorWorkingCopy",null);
       		gxml.Autoconnect (this);       		
       		
       	}
       	
       	public void Show() {
       	
       		errorWorkingCopy.Show();
       		
       	}
       	
       	public void On_errorWorkingCopy_CloseButton_Clicked(object o, EventArgs args) {
       	
       		errorWorkingCopy.Hide();
       		errorWorkingCopy.Dispose();
       		
       	}
       	
       	public void Dispose() {
       		
       		errorWorkingCopy.Dispose();
       		
       	}
       	
	} // Closing WorkingCopyErrorDialog
	
	/// <summary>
	/// This class is used to show an alert window indicate to user to confirm exit Gsvn.
	/// </summary>				
	public class ExitDialog {
	
		[Widget] Dialog exitDialog;
		
		public bool _exit = false;
		//private gsvn mainApp;
		
		public ExitDialog(gsvn app) {
		
			Glade.XML gxml = Glade.XML.FromAssembly ("gui.glade","exitDialog",null);
       		gxml.Autoconnect (this);      		
       		
       	}
       	
       	public void Show() {
       	
       		exitDialog.Show();
       		
       	}
       	
       	public void On_exitDialog_OkButton_Clicked(object o, EventArgs args) {
       	
       		exitDialog.Hide();
       		exitDialog.Dispose();
       		Application.Quit();
       		
       	}
       	
       	public void On_exitDialog_CancelButton_Clicked(object o, EventArgs args) {
       	
       		_exit = false;
       		exitDialog.Hide();
       		exitDialog.Dispose();
       		
       	}       	
       	
       	public void OnCloseWindowClicked(object o, EventArgs args) {
       	
       		exitDialog.Hide();
       		exitDialog.Dispose();
       		
       	}
       	
	} // Closing checkOutAlertDialog	
	
	/// <summary>
	/// This class is used to show an alert window indicate to user to fill and entrys on export dialog to export.
	/// </summary>		
	public class ExportAlertDialog {
	
		[Widget] Dialog exportAlertDialog;
		
		public ExportAlertDialog() {
		
			Glade.XML gxml = Glade.XML.FromAssembly ("gui.glade","exportAlertDialog",null);
       		gxml.Autoconnect (this);     		
       		
       	}
       	
       	public void Show() {
       	
       		exportAlertDialog.Show();
       		
       	}
       	
       	public void On_exportAlertDialog_CloseButton_Clicked(object o, EventArgs args) {
       	
       		exportAlertDialog.Hide();
       		exportAlertDialog.Dispose();
       		
       	}       	       
       	
	} // Closing checkOutAlertDialog	
	
	/// <summary>
	/// This class is used to show an alert window indicate to user to write a property name withtout spaces.
	/// </summary>		
	public class ErrorPropertyNameDialog {
	
		[Widget] Dialog errorPropertyNameDialog;
		
		public ErrorPropertyNameDialog() {
		
			Glade.XML gxml = Glade.XML.FromAssembly ("gui.glade","errorPropertyNameDialog",null);
       		gxml.Autoconnect (this);     		
       		
       	}
       	
       	public void Show() {
       	
       		errorPropertyNameDialog.Show();
       		
       	}
       	
       	public void On_errorPropertyNameDialog_OkButton_Clicked(object o, EventArgs args) {
       	
       		errorPropertyNameDialog.Hide();
       		errorPropertyNameDialog.Dispose();
       		
       	}       	       
       	
	} // Closing checkOutAlertDialog
	
	/// <summary>
	/// This class is used to show an alert window indicate to user that revert operation is complete.
	/// </summary>			
	public class RevertCompletedDialog {
	
		[Widget] Dialog revertCompletedDialog;
		
		public RevertCompletedDialog() {
		
			Glade.XML gxml = Glade.XML.FromAssembly ("gui.glade","revertCompletedDialog",null);
       		gxml.Autoconnect (this);   		
       		
       	}
       	
       	public void Show() {
       	
       		revertCompletedDialog.Show();
       		
       	}
       	
       	public void On_RevertCompletedDialog_OkButton_Clicked(object o, EventArgs args) {
       	
       		revertCompletedDialog.Hide();
       		revertCompletedDialog.Dispose();
       		
       	} 
       	
	} 	
	
	/// <summary>
	/// This class is used to show an alert window indicate to user that add operation is complete.
	/// </summary>		
	public class AddConfirmDialog {
	
		[Widget] Dialog addConfirmDialog;
		
		public AddConfirmDialog() {
		
			Glade.XML gxml = Glade.XML.FromAssembly ("gui.glade","addConfirmDialog",null);
       		gxml.Autoconnect (this);   		
       		
       	}
       	
       	public void Show() {
       	
       		addConfirmDialog.Show();
       		
       	}
       	
       	public void On_AddConfirmDialog_OkButton_Clicked(object o, EventArgs args) {
       	
       		addConfirmDialog.Hide();
       		addConfirmDialog.Dispose();
       		
       	} 
       	
	} 	

	/// <summary>
	/// This class is used to show an alert window indicate to user that add recursive operation is complete.
	/// </summary>	
	public class AddRecursiveConfirmDialog {
	
		[Widget] Dialog addRecursiveConfirmDialog;
		
		public AddRecursiveConfirmDialog() {
		
			Glade.XML gxml = Glade.XML.FromAssembly ("gui.glade","addRecursiveConfirmDialog",null);
       		gxml.Autoconnect (this);   		
       		
       	}
       	
       	public void Show() {
       	
       		addRecursiveConfirmDialog.Show();
       		
       	}
       	
       	public void On_AddRecursiveConfirmDialog_OkButton_Clicked(object o, EventArgs args) {
       	
       		addRecursiveConfirmDialog.Hide();
       		addRecursiveConfirmDialog.Dispose();
       		
       	} 
       	
	} 	
	
	/// <summary>
	/// This class is used to show an alert window indicate to user that Delete Operation is complete.
	/// </summary>		
	public class DeleteConfirmDialog {
	
		[Widget] Dialog deleteConfirmDialog;
		
		public DeleteConfirmDialog() {
		
			Glade.XML gxml = Glade.XML.FromAssembly ("gui.glade","deleteConfirmDialog",null);
       		gxml.Autoconnect (this);   		
       		
       	}
       	
       	public void Show() {
       	
       		deleteConfirmDialog.Show();
       		
       	}
       	
       	public void On_DeleteConfirmDialog_OkButton_Clicked(object o, EventArgs args) {
       	
       		deleteConfirmDialog.Hide();
       		deleteConfirmDialog.Dispose();
       		
       	} 
       	
	} 				

	/// <summary>
	/// This class is used to show an alert window indicate to user that there was a problem making the directory.
	/// </summary>				
	public class ErrorMakingDirectoryDialog {
	
		[Widget] Dialog errorMakingDirectoyDialog;
		
		public ErrorMakingDirectoryDialog() {
		
			Glade.XML gxml = Glade.XML.FromAssembly ("gui.glade","errorMakingDirectoyDialog",null);
       		gxml.Autoconnect (this);   		
       		
       	}
       	
       	public void Show() {
       	
       		errorMakingDirectoyDialog.Show();
       		
       	}
       	
       	public void On_ErrorMakingDirectoryDialog_CloseButton_Clicked(object o, EventArgs args) {
       	
       		errorMakingDirectoyDialog.Hide();
       		errorMakingDirectoyDialog.Dispose();
       		
       	} 
       	
	} 	
	
	/// <summary>
	/// This class is used to show an alert window indicate to user that Directory entered doesnt exist.
	/// </summary>		
	public class DirectoryNotExistsAlertDialog {
	
		[Widget] Dialog directoryNotExistsAlertDialog;
		
		public DirectoryNotExistsAlertDialog() {
		
			Glade.XML gxml = Glade.XML.FromAssembly ("gui.glade","directoryNotExistsAlertDialog",null);
       		gxml.Autoconnect (this);   		
       		
       	}
       	
       	public void Show() {
       	
       		directoryNotExistsAlertDialog.Show();
       		
       	}
       	
       	public void On_DirectoryNotExistsAlertDialog_CloseButton_Clicked(object o, EventArgs args) {
       	
       		directoryNotExistsAlertDialog.Hide();
       		directoryNotExistsAlertDialog.Dispose();
       		
       	} 
       	
	}
	
	/// <summary>
	/// This class is used to show an alert window indicate to user that confirm cleanup operation.
	/// </summary>		
	public class CleanupConfirmDialog {
	
		[Widget] Dialog cleanupConfirmDialog;
		
		private gsvn app;
		
		public CleanupConfirmDialog(gsvn _app) {
		
			Glade.XML gxml = Glade.XML.FromAssembly ("gui.glade","cleanupConfirmDialog",null);
       		gxml.Autoconnect (this);   		
       		app = _app;
       		
       	}
       	
       	public void Show() {
       	
       		cleanupConfirmDialog.Show();
       		
       	}
       	
       	public void On_ClenaupConfirmDialog_CancelButton_Clicked(object o, EventArgs args) {
       	
       		cleanupConfirmDialog.Hide();
       		cleanupConfirmDialog.Dispose();
       		
       	}
       	
       	public void On_CleanupConfirmDialog_OkButton_Clicked(object o, EventArgs args) {
       	
       		app.postCleanupDialog();
       		cleanupConfirmDialog.Hide();
       		cleanupConfirmDialog.Dispose();
       		
       	}  
       	
	} 			

	/// <summary>
	/// This class is used to show an alert window indicate to user that file want to view isnt a text file.
	/// </summary>		
	public class NotTextFileDialog {
	
		[Widget] Dialog notTextFileDialog;
		
		public NotTextFileDialog() {
		
			Glade.XML gxml = Glade.XML.FromAssembly ("gui.glade","notTextFileDialog",null);
       		gxml.Autoconnect (this);   		
       		
       	}
       	
       	public void Show() {
       	
       		notTextFileDialog.Show();
       		
       	}
       	
       	public void On_NotTextFileDialog_CloseButton_Clicked(object o, EventArgs args) {
       	
       		notTextFileDialog.Hide();
       		notTextFileDialog.Dispose();
       		
       	}       	
       	
	} 			
	
} // closing pfc namespace