#region

//        Copyright (C) 2004, 2005. Antonio Gutiérrez Mayoral
//                 <agutierr@gsyc.escet.urjc.es>
// 
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
// 
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
// 
//  You should have received a copy of the GNU General Public
//  License along with this program; if not, write to the
//  Free Software Foundation, Inc., 59 Temple Place _ Suite 330,
//  Boston, MA 02111_1307, USA.

#endregion

/// <summary> This class handleds a working copy.
/// </summary>
namespace pfc.Svn {

	/// <summary> Internal class for handle Property type. </summary>
	public class PropList {
	
		private string[,] propTable = new string[maxProperties,2];
		
		private static int maxProperties = 1000;
		
		private int numProperties = 0;
		
		public PropList() {
		
			for (int i=0; i<maxProperties-1; i++) {
				propTable[i,0] = "";
				propTable[i,1] = "";
			}					
	
		} 
		
		public void insertProperty (string name, string _value) {
		
			propTable[numProperties,0] = name;
			propTable[numProperties,1] = _value;
			numProperties++;
			
		}
		
		public int lengthProperties() {
		
			return this.numProperties;
			
		}	
		
		/// <summary> Delete the property from property table with name = "name"
		/// </summary>
		public void deleteProperty (string name) {
		
			bool _exit = false;		
			int i = 0;
			
			while ((_exit == false) && (i < maxProperties)) {
				if (propTable[i,0] == name) {
					propTable[i,1] = "";
					propTable[i,0] = "";
					_exit = true;
				}				
				i++;
			}
		}
		
		public string getPropertyName(int i) {
		
			return propTable[i,0];
			
		}
		
		public string getPropertyValue(int i) {
		
			return propTable[i,1];
			
		}
		
		public void editProperty(string name, string _value) {
		
			bool _exit = false;		
			int i = 0;
			
			while ((_exit == false) && (i < maxProperties)) { 
				if (propTable[i,0] == name) {
					propTable[i,1] = _value;
					_exit = true;
				}
				i++;		
			}
		}	
		
		public bool exitsProperty(string name) {
		
			bool _exit = false;
			int i = 0;	
			
			while ((_exit == false) && (i < maxProperties)) { 
				if (propTable[i,0] == name) {
					_exit = true;
				}
				i++;		
			}
			
			return _exit;
			
		}
	
	}
	
}