#region

//        Copyright (C) 2004, 2005. Antonio Gutiérrez Mayoral
//                 <agutierr@gsyc.escet.urjc.es>
// 
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License as
//  published by the Free Software Foundation; either version 2 of the
//  License, or (at your option) any later version.
// 
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  General Public License for more details.
// 
//  You should have received a copy of the GNU General Public
//  License along with this program; if not, write to the
//  Free Software Foundation, Inc., 59 Temple Place _ Suite 330,
//  Boston, MA 02111_1307, USA.

#endregion

/// <summary>
/// On this file we save information about we execute subversion and other utilities.
/// </summary>

namespace pfc.Svn {
	
	public class SvnConfig {
	
		public string SvnExec;
		
		/// <summary> Path to different utilities. </summary>
		public string locale = "export LC_ALL=C;" ;
		
		public string fileUtil = "/usr/bin/file";
		
		//public string editApp = "/usr/bin/gvim";
		public string editApp = "/opt/gnome/bin/gedit";
		
		public string svn = "/usr/bin/svn";
		
		public string svnadmin = "/usr/bin/svnadmin";
		
		public string svnlook = "/usr/bin/svnlook";
		
		public string svnserve = "/usr/bin/svnserve";
		
		
		public string tar = "/usr/bin/tar";
		
		public string gzip = "/usr/bin/gzip";
				
		public string zip = "/usr/bin/zip";
		
		public string browser = "/usr/bin/firefox";		
				
		
		public SvnConfig() {
		
			SvnExec = "/usr/bin/svn";
			
		}
		
		public void setSvnExec(string c) {
		
			this.SvnExec = c;
			
		}
		
		public string getSvnExec() {
		
			return SvnExec;
			
		}
		
		public string getLocale() {
		
			return locale;
			
		}
		
		/// <summary> set the svn executable member. </summary>
		public void setSvn(string _value) { svn = _value; }
		
		/// <summary> set the svnadmin executable member. </summary>
		public void setSvnadmin(string _value) { svnadmin = _value; }
		
		/// <summary> set the svnlook executable member. </summary>
		public void setSvnlook(string _value) { svnlook = _value; }
		
		/// <summary> set the svnserve executable member. </summary>
		public void setSvnserve(string _value) { svnserve = _value; }
		
		/// <summary> set the tar command member. </summary>
		public void setTar(string _value) { tar = _value; }
		
		/// <summary> set the gzip command member. </summary>
		public void setGzip(string _value) { gzip = _value; }		
		
		/// <summary> set the zip command member. </summary>
		public void setZip(string _value) { zip = _value; }
		
		/// <summary> set the edit command member. </summary>
		public void setEdit(string _value) { editApp = _value; }		

		/// <summary> set the browser command member. </summary>
		public void setBrowser(string _value) { browser = _value; }		
		
		/// <summary> Get the svn executable member. </summary>
		/// <returns> The svn executable path </returns>
		public string getSvn() { return svn; }
		
		/// <summary> Get the svn admin member. </summary>
		/// <returns> The svnadmin path </returns>		
		public string getSvnadmin() { return svnadmin; }
		
		/// <summary> Get the svnlook member. </summary>
		/// <returns> The svnlook path </returns>		
		public string getSvnlook() { return svnlook; }
		
		/// <summary> Get the svnserve member. </summary>
		/// <returns> The svnserve path </returns>		
		public string getSvnserve() { return svnserve; }		
		
		/// <summary> Get tar command member. </summary>
		/// <returns> The tar command path </returns>		
		public string getTar() { return tar; }
		
		/// <summary> Get the gzip tar member. </summary>
		/// <returns> The gzip command path </returns>			
		public string getGzip() { return gzip; }
		
		/// <summary> Get zip command member. </summary>
		/// <returns> The zip command path </returns>			
		public string getZip() { return zip; }
		
		/// <summary> Get edit command member. </summary>
		/// <returns> The edit command path </returns>			
		public string getEdit() { return editApp; }
		
		/// <summary> Get browser command member. </summary>
		/// <returns> The browser command path </returns>			
		public string getBrowser() { return browser; }
		
		
	} // closing SvnConfig
	
} // closing pfc.svn namespace